
QGIS Application - Bug report #3693

Major system-wide crash on Composer when paper-size option is clicked.

2011-03-30 08:57 AM - Thaddeus -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13752

Description

All my Ubuntu 10.10 64bit crashes when I click on the paper-size (General tab) [[ComboListBox]] to adjust the paper size: QGIS

completely disappears along with everything that was running and a second later the log-on screen shows up as if I had just started

Ubuntu.

It only happens on my 64bit Ubuntu, it works fine on other two PC's using 32bit Ubuntu's: I have tried 1.6...

(ppa:ubuntugis/ubuntugis-unstable) and 1.7 (http://qgis.org/debian-nightly maverick main) with the same fatal results.

The paper-size [[ComboListBox]] menu can be successfully used with TAB and ARROW KEYS though, so it is something associated to

the click action.

History

#1 - 2011-04-17 07:34 AM - Richard Duivenvoorde

testing the crash here on 11.04 64 bit beta

installed

http://qgis.org/debian-nightly natty

Linux zwam 2.6.38-8-generic #41-Ubuntu SMP Tue Apr 5 19:30:49 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

no problem to report here

is it still valid on your machine?

will try ppa:ubuntugis/ubuntugis-unstable also

#2 - 2011-04-17 07:51 AM - Richard Duivenvoorde

installed qgis via  ppa:ubuntugis/ubuntugis-unstable (after removal of other version) also

cannot reproduce this crash here neither, combobox looks ok

Is it only with this one combobox? Not with others?

Probably not a solution, but you could try to upgrade to natty within a couple of weeks?
#3 - 2011-04-18 11:57 AM - Mayeul Kauffmann

Tested on commit:d4f7eed7 (SVN r15738) with Kubuntu 10.10 64 bits. Everything OK.

Installed with this /etc/apt/sources.list entry:

# Nightly builds of the trunk   http://www.qgis.org/wiki/Download

deb http://qgis.org/debian-nightly maverick main

deb-src http://qgis.org/debian-nightly maverick main

Maybe you could try first this:

sudo apt-get purge qgis*

sudo apt-get update

sudo apt-get qgis

Also make sure you do not have qgis stable installed.

#4 - 2011-04-18 12:01 PM - Mayeul Kauffmann

Replying to [comment:3 mayeulk]:

Of course I meant:

sudo apt-get install qgis

#5 - 2011-04-22 12:44 PM - Marco Hugentobler

Cannot reproduce that here. Sounds to me like it is a bug in another system component (otherwise, other processes would not crash too).

#6 - 2011-05-05 09:08 AM - Thaddeus -

Actually, I tried the same on another 64-bit-Ubuntu PC and worked just fine. So, it more like a thing with this ACER laptop. I have instilled and removed

many QGIS's, so next chance I have I'm going to try the purge command suggested above. By the way, it blows up when the [[ComboListBox]] is expanded

by either mouse or keyboard action, but just flipping the page numbers (no pulling it open) works OK.

#7 - 2011-08-09 08:12 AM - Thaddeus -

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to invalid

My bad, I finally ran the apt-get and dpkg with all the purge and remove command and switches and found pieces of QGIS 1.4, 1.5 and 1.6.
